JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Namespaces | Macros | Functions
detail
juce_audio_plugin_client

## Namespaces
namespace | juce

## Macros
#define | JUCE_CHECKSETTINGMACROS_H
#define | Component juce::Component
#define | Point juce::Point

## Functions
std::unique_ptr< AudioProcessor > | createPluginFilterOfType (AudioProcessor::WrapperType type)

## Detailed Description

## Macro Definition Documentation

## ◆ JUCE_CHECKSETTINGMACROS_H

#define JUCE_CHECKSETTINGMACROS_H

## ◆ Component

#define Component juce::Component

## ◆ Point

#define Point juce::Point

Referenced by Point< ValueType >::isOrigin(), Point< ValueType >::operator*(), Point< ValueType >::operator*(), Point< ValueType >::operator+(), Point< ValueType >::operator-(), Point< ValueType >::operator-(), Point< ValueType >::operator/(), Point< ValueType >::operator/(), Point< ValueType >::rotatedAboutOrigin(), Point< ValueType >::transformedBy(), Point< ValueType >::translated(), Point< ValueType >::withX(), and Point< ValueType >::withY().

## Function Documentation

## ◆ createPluginFilterOfType()

std::unique_ptr< AudioProcessor > createPluginFilterOfType | ( | AudioProcessor::WrapperType | type | ) |

References jassert, rawToUniquePtr(), AudioProcessor::setTypeOfNextNewPlugin(), and AudioProcessor::wrapperType_Undefined.